package com.lakala.zf.laop.java.sdk.demo.v2;

import com.lakala.zf.laop.java.sdk.demo.BaseCommonDemo;
import com.lkl.laop.sdk.LKLSDK;
import com.lkl.laop.sdk.request.V2LaepEwalletAccountQueryAcctInfoRequest;

/**
 * @author nxj
 * @date 2024/1/15 16:56
 * @description 账管家V2.0-收单账户信息查询DEMO
 */
public class V2LaepEwalletAccountQueryAcctInfoRequestDemo extends BaseCommonDemo {
    public static void main(String[] args) throws Exception {
        // 1. 配置初始化
        doInit();

        //2. 装配数据
        V2LaepEwalletAccountQueryAcctInfoRequest req = new V2LaepEwalletAccountQueryAcctInfoRequest();
        req.setBmcpNo("1");
        req.setMercId("8221000581200BS");
        req.setBalanceFlag("4");
        req.setRemark("备注");

        //3. 发送请求
        String response = LKLSDK.httpPost(req);

        //4. 响应
        System.out.println(response);
    }
}
